import { type RenderContext } from "../../Renderer";
import { TargetLanguage } from "../../TargetLanguage";
import { type StringTypeMapping } from "../../TypeBuilder";
import { type FixMeOptionsType } from "../../types";
import { JSONSchemaRenderer } from "./JSONSchemaRenderer";
export declare const JSONSchemaLanguageConfig: {
    readonly displayName: "JSON Schema";
    readonly names: readonly ["schema", "json-schema"];
    readonly extension: "schema";
};
export declare class JSONSchemaTargetLanguage extends TargetLanguage<typeof JSONSchemaLanguageConfig> {
    constructor();
    getOptions(): {};
    get stringTypeMapping(): StringTypeMapping;
    get supportsOptionalClassProperties(): boolean;
    get supportsFullObjectType(): boolean;
    protected makeRenderer(renderContext: RenderContext, _untypedOptionValues: FixMeOptionsType): JSONSchemaRenderer;
}
