import { type RenderContext } from "../../Renderer";
import { BooleanOption } from "../../RendererOptions";
import { TargetLanguage } from "../../TargetLanguage";
import { type FixMeOptionsType } from "../../types";
import { TypeScriptEffectSchemaRenderer } from "./TypeScriptEffectSchemaRenderer";
export declare const typeScriptEffectSchemaOptions: {
    justSchema: BooleanOption<"just-schema">;
};
export declare const typeScriptEffectSchemaLanguageConfig: {
    readonly displayName: "TypeScript Effect Schema";
    readonly names: readonly ["typescript-effect-schema"];
    readonly extension: "ts";
};
export declare class TypeScriptEffectSchemaTargetLanguage extends TargetLanguage<typeof typeScriptEffectSchemaLanguageConfig> {
    constructor();
    getOptions(): {};
    protected makeRenderer(renderContext: RenderContext, untypedOptionValues: FixMeOptionsType): TypeScriptEffectSchemaRenderer;
}
